List Authentication Records

GET POST/api/2.0/fo/auth/?action=list

List all authentication records visible to the user for all technologies (i.e. Windows, Unix, Docker, etc).

A maximum of 1,000 authentication records can be processed per request. If the requested list identifies more than 1,000 authentication records, then the XML output includes the <WARNING> element and instructions for making another request for the next batch of records.

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

action=list

Required String 

Specify action to list auth records.

echo_request={0|1}

Optional Integer 

Specify 1 to view (echo) input parameters in the XML output. By default these are not included.

title={value}

Optional String 

Show only authentication records which have a certain string in the record title.

comments={value}

Optional String 

Show only authentication records which have a certain string in the record comments.

ids={value}

Optional Integer 

Show only authentication records with certain IDs and/or ID ranges. Multiple entries are comma separated. One or more IDs/ranges may be specified. An ID range entry is specified with a hyphen (for example, 3000-3250). Valid IDs are required.

id_min={value}

Optional Integer 

Show only authentication records which have a minimum ID value. A valid ID is required.

id_max={value}

Optional Integer 

Show only authentication records which have a maximum ID value. A valid ID is required.


Sample - List Authentication Records, Multiple TechnologiesSample - List Authentication Records, Multiple Technologies

API Request

curl -u "USERNAME:PASSWD" -H "X-Requested-With: curl" -d "action=list" "https://<qualys_base_url>/api/2.0/fo/auth/"

XML Output

<AUTH_ LIST_OUTPUT>
  <RESPONSE>
    <DATETIME>2018-02-12T13:32:17Z</DATETIME>
    <AUTH_RECORDS>
      <AUTH_UNIX_RECORDS>
        <ID_SET>
          <ID_RANGE>17-41</ID_RANGE>
          <ID_RANGE>62-119</ID_RANGE>
        </ID_SET>
      </AUTH_UNIX_RECORDS>
      <AUTH_WINDOWS_RECORDS>
        <ID_SET>
          <ID_RANGE>1-6</ID_RANGE>
        </ID_SET>
      </AUTH_WINDOWS_RECORDS>
      <AUTH_ORACLE_RECORDS>
        <ID_SET>
          <ID>7</ID>
        </ID_SET>
      </AUTH_ORACLE_RECORDS>
      <AUTH_SNMP_RECORDS>
        <ID_SET>
          <ID>4114</ID>
          <ID_RANGE>4117-4121</ID_RANGE>
        </ID_SET>
      </AUTH_SNMP_RECORDS>
      <AUTH_IBM_DB2_RECORDS>
        <ID_SET>
          <ID>6</ID>
        </ID_SET>
      </AUTH_IBM_DB2_RECORDS>
    </AUTH_RECORDS>
  </RESPONSE>
</AUTH_LIST_OUTPUT>

DTD

<platform API server>/api/2.0/fo/auth/auth_records.dtd